Skip to main content
GET
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
queues
/
{queue_name}
/
jobs
Python
from salad_cloud_sdk import SaladCloudSdk

sdk = SaladCloudSdk(
    api_key="YOUR_API_KEY",
    api_key_header="YOUR_API_KEY_HEADER",
    timeout=10000
)

result = sdk.queues.list_queue_jobs(
    organization_name="acme-corp",
    project_name="dev-env",
    queue_name="fifo-queue",
    page=1,
    page_size=1
)

print(result)
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "input": "<unknown>",
      "status": "pending",
      "events": [
        {
          "action": "created",
          "time": "2023-11-07T05:31:56Z"
        }
      ],
      "create_time": "2023-11-07T05:31:56Z",
      "update_time": "2023-11-07T05:31:56Z",
      "metadata": {},
      "webhook": "<string>",
      "output": "<unknown>"
    }
  ]
}
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

queue_name
string
required

The queue name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"fifo-queue"

Query Parameters

page
integer<int32>

The page number.

Required range: 1 <= x <= 2147483647
Example:

1

page_size
integer<int32>

The maximum number of items per page.

Required range: 1 <= x <= 100
Example:

1

Response

OK

Represents a Queue Job Collection

items
object[]
required

The list of queue jobs

Maximum array length: 100